/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SQL_EXPR_H
#define SQL_EXPR_H

#include "sql-object.h"

#define SQL_TYPE_EXPR		(sql_expr_get_type ())
#define SQL_EXPR(obj)		(G_TYPE_CHECK_INSTANCE_CAST (obj, SQL_TYPE_EXPR, SqlExpr))
#define SQL_IS_EXPR(obj)	(G_TYPE_CHECK_INSTANCE_TYPE (obj, SQL_TYPE_EXPR))

typedef struct _SqlExpr SqlExpr;
typedef struct _SqlExprClass SqlExprClass;

struct _SqlExpr
{
	SqlObject parent;
};

struct _SqlExprClass
{
	/* <private> */
	SqlObjectClass parent;
};

GType	sql_expr_get_type	();

#endif
