/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef GLADE_VN_H
#define GLADE_VN_H

#include <gladeui/glade.h>
#include <vn/vn.h>

void	glade_vn_init	();

#define	GLADE_TYPE_VN_LIST (glade_vn_list_get_type())

typedef struct _GladeVnList GladeVnList;

struct _GladeVnList
{
	GtkListStore * list;
};

GType			glade_vn_list_get_type		(void) G_GNUC_CONST;
void			glade_vn_list_free			(GladeVnList * list);
GladeVnList *	glade_vn_list_copy			(const GladeVnList * list);

#endif